%define _use_internal_dependency_generator 0

# A bit of stuff to allow using the same package for errata and 
# devel
%define backpkg_for 7.3
%define is_backpkg 0

Summary: A Linux PXE (Preboot eXecution Environment) server.
Name: pxe
Version: 0.1
%if %{is_backpkg}
Release: 32.99.%{backpkg_for}.XOS.1
%else
Release: 36.XOS.1
%endif
Copyright: BSD
Group: System Environment/Daemons
Source0: pxe-linux.tar.gz
Source1: pxe.init
Source2: pxe-README
Source3: pxe-license
Patch:   pxe-linux-config.patch
Patch1:	 pxe-1.0-cmdlinearg.patch
Patch2:	 pxe-1.0-yourIP.patch
Patch3:	 pxe-1.0-bash2.patch
Patch4:  pxe-1.0-tester.patch
Patch5:  pxe-1.0-socket.patch
Patch6:  pxe-1.0-time.patch
Patch7: pxe-linux-dev86.patch
Patch8: pxe-1.0-800M-63945.patch
Patch9: pxe-1.0-nostrip.patch
Patch10: pxe-linux-nocrash.patch
Patch11: pxe-linux-nocrash2.patch
Patch12: pxe-1.0-cleanup.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig /etc/init.d
ExclusiveArch: i386

%description
The pxe package contains the PXE (Preboot eXecution Environment)
server and code needed for Linux to boot from a boot disk image on a
Linux PXE server.

%prep
%setup -q -n pxe-linux
%patch -p1 -b .djb
%patch1 -p1 -b .oot
%patch2 -p1 -b .yourIP
%patch3 -p1 -b .bash2
%patch4 -p1 -b .tester
%patch5 -p1 -b .socket
%patch6 -p1 -b .time
%if %{is_backpkg}
%else
%patch7 -p1 -b .dev86
%endif
%patch8 -p1 -b .800M
%patch9 -p1 -b .nostrip
%patch10 -p1 -b .nocrash
%patch11 -p1 -b .nocrash2
%patch12 -p1 -b .cleanup

cp ${RPM_SOURCE_DIR}/pxe-license license

%build
cp ${RPM_SOURCE_DIR}/pxe-README README
make -C nbp.linux
make -C server

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
make PREFIX=${RPM_BUILD_ROOT} install -C nbp.linux
make PREFIX=${RPM_BUILD_ROOT} install -C server
install -m 755 ${RPM_SOURCE_DIR}/pxe.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/pxe

%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
/sbin/ldconfig
/sbin/chkconfig --add pxe


%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del pxe
fi

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README license

%dir /tftpboot/X86PC/UNDI/linux-install
%dir /tftpboot/X86PC/UNDI/BStrap
/tftpboot/X86PC/UNDI/linux-install/linux.0
/tftpboot/X86PC/UNDI/BStrap/bstrap.0

/usr/lib/libpxelib.so.1.0
/usr/lib/libpxelib.so
/usr/lib/libApiTestOpts.so.1.0
/usr/lib/libApiTestOpts.so
/usr/lib/libBstrapOpts.so.1.0
/usr/lib/libBstrapOpts.so
/usr/lib/libpxeTester.so.1.0
/usr/lib/libpxeTester.so
/usr/lib/libpxeParser.so.1.0
/usr/lib/libpxeParser.so

/usr/sbin/in.mtftpd
%config /etc/mtftpd.conf

%config /etc/rc.d/init.d/pxe
/usr/sbin/pxe
%config /etc/pxe.conf

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.1-36.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on pxe-0.1-36.src.rpm
  (md5sum of original source rpm: 6d4ac93234d5278cc3dfacd83c390582).

* Mon Jan 27 2003 Dan Walsh <dwalsh@redhat.com> 0.1-36
- Mass Rebuild

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.1-35
- don't use rpms internal dep generator

* Mon Dec 16 2002 Dan Walsh <dwalsh@redhat.com> 0.1-34
- cleanup gcc errors.

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 31 2002 Elliot Lee <sopwith@redhat.com> 0.1-32
- Add patch11 (nocrash2) to fix problems when IA64 systems boot

* Thu Jul 25 2002 Elliot Lee <sopwith@redhat.com> 0.1-31
- Add patch10 (nocrash) for #66825

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 0.1-30
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.1-29
- automated rebuild

* Thu Jun 20 2002 Elliot Lee <sopwith@redhat.com> 0.1-28
- Don't overstrip
- Patch from 63945

* Thu Jun 13 2002 Elliot Lee <sopwith@redhat.com>
- Pass '-i' instead of '-i-' to the newer bcc in dev86-0.16 (#66681)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 14 2001 Matt Wilson <msw@redhat.com>
- patched pxemisc.h to include both sys/time.h and time.h

* Fri Feb  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- i18nize initscript

* Sat Aug 05 2000 Erik Troan <ewt@redhat.com>
- added patch to handle case w/ we don't get our socket (from 
  tjdougherty@uswest.net)

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun 26 2000 Matt Wilson <msw@redhat.com>
- move init script to /etc/init.d
- added condrestart to init script
- added stop/start functions to init script

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- modified pxe server to return the IP in the reply packet
- compile cleanups
- fixes for building with bash2

* Thu Feb 24 2000 Erik Troan <ewt@redhat.com>
- added license notice

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- strip libraries

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descritpion and summary

* Tue Dec 21 1999 Erik Troan <ewt@redhat.com>
- made "ks" the default command line option

* Sun Sep 26 1999 Erik Troan <ewt@redhat.com>
- added patch for command line args

* Fri Sep 24 1999 Donnie Barnes <djb@redhat.com>
- updated sources from Intel
- updated README from Intel (they didn't like my meager attempt.  Hmmph.)
- removed my patch as they included what appears to be all of it

* Thu Sep 23 1999 Donnie Barnes <djb@redhat.com>
- added README's

* Thu Sep 23 1999 Cristian Gafton <gafton@redhat.com>
- minor cleanups

* Wed Sep 22 1999 Donnie Barnes <djb@redhat.com>
- initial packaging
